# eric7.Tasks.TasksFile

Module implementing a class representing the tasks JSON file.

### Global Attributes

None

### Classes

TasksFile | Class representing the tasks JSON file.

### Functions

None

## TasksFile

Class representing the tasks JSON file.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

TasksFile | Constructor
readFile | Public method to read the tasks data from a task JSON file.
writeFile | Public method to write the tasks data to a tasks JSON file.

### Static Methods

None

#### TasksFile (Constructor)

TasksFile(isGlobal: bool, parent: QObject = None)

Constructor

isGlobal (bool)
  flag indicating a file for global tasks
parent (QObject (optional))
  reference to the parent object (defaults to None)

#### TasksFile.readFile

readFile(filename: str)

Public method to read the tasks data from a task JSON file.

filename (str)
  name of the project file

Return:
  flag indicating a successful read

Return Type:
  bool

#### TasksFile.writeFile

writeFile(filename: str)

Public method to write the tasks data to a tasks JSON file.

filename (str)
  name of the tasks file

Return:
  flag indicating a successful write

Return Type:
  bool

Up